curl --request POST \
--url https://api.hubapi.com/integrators/timeline/v3/events/batch/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"eventTemplateId": "<string>",
"id": "<string>",
"tokens": {},
"customObjectTypeId": "<string>",
"domain": "<string>",
"email": "<string>",
"extraData": {},
"objectId": "<string>",
"timelineIFrame": {
"headerLabel": "<string>",
"height": 123,
"linkLabel": "<string>",
"url": "<string>",
"width": 123
},
"timestamp": "2023-11-07T05:31:56Z",
"utk": "<string>"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"eventTemplateId": "<string>",
"id": "<string>",
"objectType": "<string>",
"tokens": {},
"createdAt": "2023-11-07T05:31:56Z",
"customObjectTypeId": "<string>",
"domain": "<string>",
"email": "<string>",
"extraData": {},
"objectId": "<string>",
"timelineIFrame": {
"headerLabel": "<string>",
"height": 123,
"linkLabel": "<string>",
"url": "<string>",
"width": 123
},
"timestamp": "2023-11-07T05:31:56Z",
"utk": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Batch create multiple instances of timeline events based on an event template. Once created, these event are immutable on the object timeline and cannot be modified. If the event template was configured to update object properties via objectPropertyName, this call will also attempt to updates those properties, or add them if they don’t exist.
curl --request POST \
--url https://api.hubapi.com/integrators/timeline/v3/events/batch/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"eventTemplateId": "<string>",
"id": "<string>",
"tokens": {},
"customObjectTypeId": "<string>",
"domain": "<string>",
"email": "<string>",
"extraData": {},
"objectId": "<string>",
"timelineIFrame": {
"headerLabel": "<string>",
"height": 123,
"linkLabel": "<string>",
"url": "<string>",
"width": 123
},
"timestamp": "2023-11-07T05:31:56Z",
"utk": "<string>"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"eventTemplateId": "<string>",
"id": "<string>",
"objectType": "<string>",
"tokens": {},
"createdAt": "2023-11-07T05:31:56Z",
"customObjectTypeId": "<string>",
"domain": "<string>",
"email": "<string>",
"extraData": {},
"objectId": "<string>",
"timelineIFrame": {
"headerLabel": "<string>",
"height": 123,
"linkLabel": "<string>",
"url": "<string>",
"width": 123
},
"timestamp": "2023-11-07T05:31:56Z",
"utk": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
A collection of timeline events we want to create.
Show child attributes
successful operation
The time the request was completed.
Successfully created events.
Show child attributes
The time the request began processing.
The status of the batch response. Should always be COMPLETED if processed.
CANCELED, COMPLETE, PENDING, PROCESSING Any links to documentation.
Show child attributes
The time the request occurred.
Was this page helpful?